/* Pan "About" Dialog
 * Copyright (C) 2001 Charles Kerr <charles@rebelbase.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Cambridge, MA 02139, USA.
 *
 * AUTHOR:
 * 	Charles Kerr <charles@rebelbase.com>
 *
 * DESCRIPTION:
 *	An "About" somewhat more flexible than the Gnome default.
 *	It's somewhat similar to the KDE "about" dialog class.
 */        

#ifndef __PAN_ABOUT_H__
#define __PAN_ABOUT_H__

#include <glib.h>
#include <gtk/gtk.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

GtkWidget*    pan_about_new          (GtkWindow     * parent,
                                      const gchar   * app_title,
                                      const gchar   * app_version,
                                      const gchar   * app_short_description,
                                      const gchar   * app_copyright,
                                      const gchar   * app_license,
                                      const gchar   * app_homepage);

void          pan_about_add_author   (GtkWidget     * about_dialog,
                                      const gchar   * name, 
                                      const gchar   * email,
                                      const gchar   * job_title);

void          pan_about_add_credit   (GtkWidget     * about_dialog,
                                      const gchar   * name, 
                                      const gchar   * email,
                                      const gchar   * job_title);

void          pan_about_add_text     (GtkWidget     * about_dialog,
                                      const gchar   * tab,
                                      const gchar   * text);

extern const gchar * PAN_ABOUT_LICENSE_GPL;


#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __GNOME_ABOUT_H__ */
